Library bulk deletion and folder editing
2020-09-24 12:20 AM - Colin McDonald

Status: New Start date: 2020-09-24
Priority name: Normal Due date:

Assignee: Boone Gorges % Done: 0%
Category name: Group Library Estimated time: 0.00 hour
Target version: Future release

Description

Breaking this off of #12821 where | mentioned our Sept group meeting discussion about the need for bulk deletion of Library items,
especially with group cloning coming in #13198 -- choosing a simpler cloning approach there, and bringing over all admin-created
Library items, may necessitate some post-clone cleanup of items pulled over but not relevant to the new group. Enter bulk deletion,
where the cloned group's admin can prune away.

It would also be useful to be able to change the folders of items in bulk, though | believe there are difficulties here because an item
can only be in one folder at a time, so there may be some work to enable changing multiple items in multiple folders to all be in the
same folder.

Related issues:
Related to CUNY Academic Commons - Bug #13632: Deleting Files in Group Library Resolved 2020-11-30

History

#1 - 2020-10-07 06:51 PM - Sonja Leix

Colin,
did we decide this should be part of this release or pushed to the next release. It seems this might change a few things and maybe it's better to push
to the next release? Boone?

#2 - 2020-10-07 06:54 PM - Boone Gorges

Yes, we should definitely push it off.

#3 - 2020-10-08 11:02 AM - Colin McDonald

Works for me, I'll keep it in the queue.

#4 - 2020-10-13 10:41 AM - Boone Gorges
- Category name set to Group Library

- Target version set to Future release

#5 - 2020-11-30 12:08 PM - Boone Gorges
- Related to Bug #13632: Deleting Files in Group Library added
